Skip to main content
GET
/
virtual-wallets
/
holding
/
balance
curl -X GET "https://api.cryptomate.me/virtual-wallets/holding/balance?blockchain=POLYGON" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
[
  {
    "name": "USD Coin",
    "symbol": "USDC",
    "balance": 25000.00,
    "token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
  }
]
Retrieves all token balances for the holding wallet on the specified blockchain. Solana is not supported. Requires an API key with access level 1 or higher.

Query parameters

blockchain
string
required
Blockchain to filter the holding wallet balances. One of ETHEREUM, POLYGON, BSC, ARBITRUM, OPTIMISM, BASE, AVALANCHE.

Response

Returns an array of balance objects.
name
string
Token name.
symbol
string
Token symbol.
balance
number
Current balance amount.
token_address
string
Smart contract address of the token.
curl -X GET "https://api.cryptomate.me/virtual-wallets/holding/balance?blockchain=POLYGON" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
[
  {
    "name": "USD Coin",
    "symbol": "USDC",
    "balance": 25000.00,
    "token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
  }
]